; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE:
	rcall ANZEIGE_ERROR
	LDS temp,(adr_TASTE)
	cpi temp,4
	breq MENUE_PLUS
	cpi temp,12
	breq MENUE_LEISTUNG_CLEAR
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
; Taste-1 gedrckt																
MENUE_LEISTUNG_CLEAR:
	STS(adr_P_MAX_H),NULL
	STS(adr_P_MAX_L),NULL
	rcall DISPLAY_VOLL
	rcall BEEP
	rcall EEPROM_SAVE		; save
	rcall WAIT_1s
	STS(adr_MENUE),NULL
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
; Taste-2 gedrckt																
MENUE_PLUS:
	LDS temp,(adr_MENUE)
	inc temp
	STS(adr_MENUE),temp
	rjmp MENUE_RUN	
;-------------------------------------------------------------------------------
MENUE_RUN:
	ldi ZL,LOW (MENUE_SPRUNGMARKE)	; Z initialisieren	
	ldi ZH,HIGH(MENUE_SPRUNGMARKE)
	LDS temp,(adr_MENUE)
	add ZL,temp 
	adc ZH,NULL
	ijmp			; SPRUNG nach Z		
;-------------------------------------------------------------------------------
MENUE_SPRUNGMARKE:
	rjmp MENUE_P
	rjmp MENUE_P_P_MAX
	rjmp MENUE_U_i
	rjmp MENUE_ADC_U
	rjmp MENUE_ADC_i
	rjmp MENUE_BAUSTELLE
	rjmp MEUNE_ADC_i_AMPERE
	rjmp MENUE_BAUSTELLE	
	STS(adr_MENUE),NULL	; berlauf
	rjmp MENUE_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_BAUSTELLE:
	STS(adr_DIGIT7),VOLL
	STS(adr_DIGIT6),VOLL
	STS(adr_DIGIT5),VOLL
	STS(adr_DIGIT4),VOLL
	STS(adr_DIGIT3),VOLL
	STS(adr_DIGIT2),VOLL
	STS(adr_DIGIT1),VOLL
	STS(adr_DIGIT0),VOLL
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Leistung momentan																
MENUE_P:
	STS(adr_DIGIT7),NULL
	STS(adr_DIGIT6),NULL
	STS(adr_DIGIT5),NULL
	STS(adr_DIGIT4),NULL

	LDS temp1,(adr_P_L)
	LDS temp2,(adr_P_H)
	rcall ZAHL_TEMP1_2
	ldi temp,(ASCII_P)
	STS(adr_DIGIT3),temp
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Leistung momentan / max														
MENUE_P_P_MAX:
	LDS temp1,(adr_P_MAX_L)
	LDS temp2,(adr_P_MAX_H)
	rcall ZAHL_TEMP1_2
	ldi temp,(ASCII_P + ASCII_PUNKT)
	STS(adr_DIGIT7),temp
	STS(adr_DIGIT6),temp3
	STS(adr_DIGIT5),temp2
	STS(adr_DIGIT4),temp1

	LDS temp1,(adr_P_L)
	LDS temp2,(adr_P_H)
	rcall ZAHL_TEMP1_2
	ldi temp,(ASCII_P)
	STS(adr_DIGIT3),temp
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; U / i																			
MENUE_U_i:
	LDS temp1,(adr_U)
	rcall ZAHL_TEMP1
	STS(adr_DIGIT7),temp3
	ori temp2,(ASCII_PUNKT)	; Punkt	
	STS(adr_DIGIT6),temp2
	STS(adr_DIGIT5),temp1
	ldi temp,(ASCII_U)
	STS(adr_DIGIT4),temp

	LDS temp1,(adr_i)
	rcall ZAHL_TEMP1
	STS(adr_DIGIT3),temp3
	ori temp2,(ASCII_PUNKT)	; Punkt	
	STS(adr_DIGIT2),temp2
	STS(adr_DIGIT1),temp1
	ldi temp,(ASCII_A)
	STS(adr_DIGIT0),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ADC0 (U)																		
MENUE_ADC_U:
	ldi temp,(ASCII_A)
	STS(adr_DIGIT7),temp
	ldi temp,(ASCII_D)
	STS(adr_DIGIT6),temp
	ldi temp,(ASCII_C)
	STS(adr_DIGIT5),temp
	ldi temp,(ASCII_0)
	STS(adr_DIGIT4),temp


	LDS temp1,(adr_ADC_U_L)
	LDS temp2,(adr_ADC_U_H)
	rcall ZAHL_TEMP1_2
	STS(adr_DIGIT3),temp4
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ADC1 (i)																		
MENUE_ADC_i:
	ldi temp,(ASCII_A)
	STS(adr_DIGIT7),temp
	ldi temp,(ASCII_D)
	STS(adr_DIGIT6),temp
	ldi temp,(ASCII_C)
	STS(adr_DIGIT5),temp
	ldi temp,(ASCII_1)
	STS(adr_DIGIT4),temp

	LDS temp1,(adr_ADC_i_L)
	LDS temp2,(adr_ADC_i_H)
	rcall ZAHL_TEMP1_2
	STS(adr_DIGIT3),temp4
	STS(adr_DIGIT2),temp3
	STS(adr_DIGIT1),temp2
	STS(adr_DIGIT0),temp1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MEUNE_ADC_i_AMPERE:
	LDS temp1,(adr_ADC_i_L)
	LDS temp2,(adr_ADC_i_H)
	rcall ZAHL_TEMP1_2
	STS(adr_DIGIT7),temp4
	STS(adr_DIGIT6),temp3
	STS(adr_DIGIT5),temp2
	STS(adr_DIGIT4),temp1

	LDS temp1,(adr_i)
	rcall ZAHL_TEMP1
	STS(adr_DIGIT3),temp3
	ori temp2,(ASCII_PUNKT)	; Punkt	
	STS(adr_DIGIT2),temp2
	STS(adr_DIGIT1),temp1
	ldi temp,(ASCII_A)
	STS(adr_DIGIT0),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
